Subject: bug#15755: 24.3.50; cperl-mode annoyingly slow on my netbook

From: Nathan Trapuzzano <[email-masked]>
Date: Thu, 31 Oct 2013 13:23:09 -0400

Stefan Monnier <[email-masked]> writes:

>> (defalias 'perl-mode 'cperl-mode)
>
> That means you're not using cperl-mode, but perl-mode, which is
> a completely different major mode.
>
>> (C-M-e takes me to the end of the wrong defun).
>
> Please report this perl-mode bug, with a reproducible recipe.
>
>
>         Stefan

I think you have it backwards.  (defalias 'perl-mode 'cperl-mode) causes
cperl-mode to be used where perl-mode would have been used.  What I was
saying was I can only reproduce the original problem when I _remove_
that line from .emacs and do M-x cperl-mode manually after visiting the
file.